## kf6-kservice 6.18.0

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

########### unittests ###############

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Concurrent Test)

macro(KSERVICE_UNIT_TESTS)
  foreach(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp TEST_NAME ${_testname}
        LINK_LIBRARIES KF6::Service Qt6::Test Qt6::Concurrent KF6::ConfigCore KF6::CoreAddons Qt6::Xml)
    target_compile_definitions(${_testname} PRIVATE -DKBUILDSYCOCAEXE=\"$<TARGET_FILE:kbuildsycoca6>\")
  endforeach()
endmacro(KSERVICE_UNIT_TESTS)

kservice_unit_tests(
 ksycocatest
 ksycoca_xdgdirstest
 ksycocathreadtest
 kservicetest
 kapplicationtradertest
)

# the test plays with the timestamp of ~/.qttest/share/applications, and with the ksycoca file, other tests can collide
set_tests_properties(ksycocatest PROPERTIES RUN_SERIAL TRUE)
# KServiceTest::testAllServices can fail if any service is deleted while the test runs
set_tests_properties(kservicetest PROPERTIES RUN_SERIAL TRUE)

######### kmimeassociationstest ########

set(kmimeassociationstest_SRCS kmimeassociationstest.cpp ../src/sycoca/kmimeassociations.cpp)
ecm_qt_declare_logging_category(kmimeassociationstest_SRCS
    HEADER sycocadebug.h
    IDENTIFIER SYCOCA
    CATEGORY_NAME kf.service.sycoca
)

ecm_add_test(${kmimeassociationstest_SRCS} TEST_NAME kmimeassociationstest
             LINK_LIBRARIES KF6::Service Qt6::Test Qt6::Xml KF6::ConfigCore KF6::CoreAddons)

=== debian/changelog ===
kf6-kservice (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:17:59 +0200

=== debian/control ===
Source: kf6-kservice
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kservice
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git
Rules-Requires-Root: no

Package: libkf6service-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca6.

Package: libkf6service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf6service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-dev (>= 6.18.0~),
         libkf6coreaddons-dev (>= 6.18.0~),
         libkf6doctools-dev (>= 6.18.0~),
         libkf6i18n-dev (>= 6.18.0~),
         libkf6service6 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf6service-doc (= ${source:Version}),
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf6service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6service6
Architecture: any
Multi-Arch: same
Depends: libkf6service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6service-bin (= ${binary:Version}),
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kf6-kservice 6.18.0+p24.04+vstable+git20250922.0304

=== debian/changelog ===
kf6-kservice (6.18.0+p24.04+vstable+git20250922.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 03:05:04 +0000

kf6-kservice (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:59:53 +0000

kf6-kservice (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:27:34 +0000

kf6-kservice (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:42:10 +0000

kf6-kservice (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:00:13 +0000

kf6-kservice (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 07 May 2025 23:09:48 +1000

kf6-kservice (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:09:38 +0000

kf6-kservice (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:10:28 +0000

kf6-kservice (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:36:18 +0000

kf6-kservice (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:09:05 +0000

kf6-kservice (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:37:10 +0000

kf6-kservice (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:41:11 +0000

kf6-kservice (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:34:59 +0000

kf6-kservice (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:42:38 +0000

kf6-kservice (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:48:02 +0000

kf6-kservice (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:44:48 +0000

kf6-kservice (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:33:04 +1000

kf6-kservice (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:02:03 +0000

kf6-kservice (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:25:49 +0000

kf6-kservice (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kservice (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kservice 6.18.0+p24.04+vstable+git20251001.1107

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
set(KF_DEP_VERSION "6.18.0") # handled by release scripts
project(KService VERSION ${KF_VERSION})

# Disallow in-source build
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "KService requires an out of source build. Please create a separate build directory and run 'cmake path_to_kservice [options]' there.")
endif()

# ECM setup
include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(kservice_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kservice_version.h")
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KSERVICE
                  VERSION_HEADER "${kservice_version_header}"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6ServiceConfigVersion.cmake"
                  SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)

find_package(KF6Config ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_DEP_VERSION} CONFIG)

add_definitions(-DTRANSLATION_DOMAIN=\"kservice6\")

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)

ki18n_install(po)

if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

if (KF6DocTools_FOUND)
    add_subdirectory(docs)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Service")

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6ServiceConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6ServiceConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                             )

install(EXPORT KF6ServiceTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6ServiceTargets.cmake NAMESPACE KF6:: )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF6ServiceConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF6ServiceConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
       )

install(FILES ${kservice_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KService COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kservice (6.18.0+p24.04+vstable+git20251001.1107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:07:56 +0000

## kf6-kservice 6.19.0

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

########### unittests ###############

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Concurrent Test)

macro(KSERVICE_UNIT_TESTS)
  foreach(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp TEST_NAME ${_testname}
        LINK_LIBRARIES KF6::Service Qt6::Test Qt6::Concurrent KF6::ConfigCore KF6::CoreAddons Qt6::Xml)
    target_compile_definitions(${_testname} PRIVATE -DKBUILDSYCOCAEXE=\"$<TARGET_FILE:kbuildsycoca6>\")
  endforeach()
endmacro(KSERVICE_UNIT_TESTS)

kservice_unit_tests(
 ksycocatest
 ksycoca_xdgdirstest
)

# the test plays with the timestamp of ~/.qttest/share/applications, and with the ksycoca file, other tests can collide
set_tests_properties(ksycocatest PROPERTIES RUN_SERIAL TRUE)

# disable some tests that fail on Windows ATM
if (NOT WIN32)
  kservice_unit_tests(
    ksycocathreadtest
    kservicetest
    kapplicationtradertest
  )

  # KServiceTest::testAllServices can fail if any service is deleted while the test runs
  set_tests_properties(kservicetest PROPERTIES RUN_SERIAL TRUE)

  ######### kmimeassociationstest ########

  set(kmimeassociationstest_SRCS kmimeassociationstest.cpp ../src/sycoca/kmimeassociations.cpp)
  ecm_qt_declare_logging_category(kmimeassociationstest_SRCS
      HEADER sycocadebug.h
      IDENTIFIER SYCOCA
      CATEGORY_NAME kf.service.sycoca
  )

  ecm_add_test(${kmimeassociationstest_SRCS} TEST_NAME kmimeassociationstest
              LINK_LIBRARIES KF6::Service Qt6::Test Qt6::Xml KF6::ConfigCore KF6::CoreAddons)
endif()

=== docs/CMakeLists.txt ===
add_subdirectory(kbuildsycoca6)

=== docs/kbuildsycoca6/CMakeLists.txt ===
kdoctools_create_manpage(man-kbuildsycoca6.8.docbook 8 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== debian/changelog ===
kf6-kservice (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:07:32 +0100

=== debian/control ===
Source: kf6-kservice
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6doctools-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kservice
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
Rules-Requires-Root: no

Package: libkf6service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca6.

Package: libkf6service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf6service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-dev (>= 6.19.0~),
         libkf6coreaddons-dev (>= 6.19.0~),
         libkf6doctools-dev (>= 6.19.0~),
         libkf6i18n-dev (>= 6.19.0~),
         libkf6service6 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf6service-doc (= ${source:Version}),
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf6service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6service6
Architecture: any
Multi-Arch: same
Depends: libkf6service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6service-bin (= ${binary:Version}),
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kservice-([\d.]+)\.tar\.xz

## kf6-kservice 6.19.0+p24.04+vstable+git20251008.1106

=== debian/changelog ===
kf6-kservice (6.19.0+p24.04+vstable+git20251008.1106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:06:19 +0000

kf6-kservice (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:07:39 +0000

## kf6-kservice 6.19.0+p24.04+vstable+git20251015.0931

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -11,7 +11,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kservice (6.19.0+p24.04+vstable+git20251015.0931-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:31:56 +0000

## kf6-kservice 6.19.0+p24.04+vstable+git20251021.0549

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
                   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
 
 find_package(KF6Config ${KF_DEP_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kf6-kservice (6.19.0+p24.04+vstable+git20251021.0549-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:49:49 +0000

=== debian/control ===
Source: kf6-kservice
Section: libs
Priority: optional
Build-Depends: bison,
               cmake,
               dbus-x11,
               debhelper-compat (= 13),
               docbook-xml,
               docbook-xsl,
               doxygen,
               flex,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               libxml2-utils,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kservice
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kservice.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kservice
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kservice
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6service-bin, libkf6service-data, libkf6service6
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca6.

Package: kf6-kservice-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kconfig-dev,
         kf6-kcoreaddons-dev,
         kf6-kservice (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6service-dev, libkf6service-doc
Recommends: kf6-kservice (= ${source:Version})
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf6service6
Architecture: all
Depends: kf6-kservice, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6service-bin
Architecture: all
Depends: kf6-kservice, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6service-data
Architecture: all
Depends: kf6-kservice, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6service-dev
Architecture: all
Depends: kf6-kservice-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6service-doc
Architecture: all
Depends: kf6-kservice-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         kded5,
         libkf5service-bin,
         openbox,
         xauth,
         xvfb,
         @builddeps@
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kf6-kservice 6.19.0+p24.04+vunstable+git20251020.0251

=== debian/changelog ===
kf6-kservice (6.19.0+p24.04+vunstable+git20251020.0251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:51:27 +0000

## kf6-kservice 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -11,7 +11,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -50,7 +50,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 ki18n_install(po)

=== tests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

macro(kservice_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} KF6::Service)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

kservice_executable_tests(
  kservicegroup_dumper
  findservice
)

add_executable(kmimeassociations_dumper)
ecm_mark_as_test(kmimeassociations_dumper)

ecm_qt_declare_logging_category(kmimeassociations_dumper
    HEADER sycocadebug.h
    IDENTIFIER SYCOCA
    CATEGORY_NAME kf.service.sycoca
)
target_sources(kmimeassociations_dumper PRIVATE
    kmimeassociations_dumper.cpp
    ../src/sycoca/kmimeassociations.cpp
)

target_link_libraries(kmimeassociations_dumper KF6::Service KF6::CoreAddons KF6::ConfigCore)

=== debian/changelog ===
kf6-kservice (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:15:45 +0000

=== debian/control ===
Source: kf6-kservice
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6doctools-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kservice
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
Rules-Requires-Root: no

Package: libkf6service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca6.

Package: libkf6service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf6service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-dev (>= 6.20.0~),
         libkf6coreaddons-dev (>= 6.20.0~),
         libkf6doctools-dev (>= 6.20.0~),
         libkf6i18n-dev (>= 6.20.0~),
         libkf6service6 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf6service-doc (= ${source:Version}),
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf6service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6service6
Architecture: any
Multi-Arch: same
Depends: libkf6service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6service-bin (= ${binary:Version}),
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --without build_stamp
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

## kf6-kservice 6.20.0+p24.04+vunstable+git20251202.0727

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kservice (6.20.0+p24.04+vunstable+git20251202.0727-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 07:27:20 +0000

kf6-kservice (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:48 +1000

## kf6-kservice 6.20.0+p24.04+vunstable+git20251206.0306

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -11,7 +11,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kservice (6.20.0+p24.04+vunstable+git20251206.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:06:36 +0000

## kf6-kservice 6.21.0

=== debian/changelog ===
kf6-kservice (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:53:03 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6doctools-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6doctools-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),
 Standards-Version: 4.7.0
@@ -46,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.20.0~),
-         libkf6coreaddons-dev (>= 6.20.0~),
-         libkf6doctools-dev (>= 6.20.0~),
-         libkf6i18n-dev (>= 6.20.0~),
+Depends: libkf6config-dev (>= 6.21.0~),
+         libkf6coreaddons-dev (>= 6.21.0~),
+         libkf6doctools-dev (>= 6.21.0~),
+         libkf6i18n-dev (>= 6.21.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),

## kf6-kservice 6.21.0+p24.04+vstable+git20251215.0203

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,7 +50,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.19.0
+    KF 6.21.0
 )
 
 ki18n_install(po)

## kf6-kservice 6.21.0+p24.04+vstable+git20251226.0205

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kservice6\")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
     KF 6.21.0
 )

=== debian/changelog ===
kf6-kservice (6.21.0+p24.04+vstable+git20251226.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:05:40 +0000

kf6-kservice (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:04 +1000

## kf6-kservice 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -11,7 +11,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kservice (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:32:15 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6doctools-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6doctools-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),
 Standards-Version: 4.7.0
@@ -46,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.21.0~),
-         libkf6coreaddons-dev (>= 6.21.0~),
-         libkf6doctools-dev (>= 6.21.0~),
-         libkf6i18n-dev (>= 6.21.0~),
+Depends: libkf6config-dev (>= 6.22.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
+         libkf6doctools-dev (>= 6.22.0~),
+         libkf6i18n-dev (>= 6.22.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),

## kf6-kservice 6.22.0+p24.04+vstable+git20260106.0924

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kservice (6.22.0+p24.04+vstable+git20260106.0924-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 09:24:20 +0000

kf6-kservice (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:42:26 +1000

## kf6-kservice 6.22.0+p24.04+vstable+git20260111.0149

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts

=== debian/changelog ===
kf6-kservice (6.22.0+p24.04+vstable+git20260111.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:49:10 +0000

## kf6-kservice 6.22.0+p24.04+vunstable+git20260123.0335

=== debian/changelog ===
kf6-kservice (6.22.0+p24.04+vunstable+git20260123.0335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:35:29 +0000

## kf6-kservice 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -11,7 +11,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kservice (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Reenable build-time tests.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:54 +0100

kf6-kservice (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:42 +0100

=== debian/control ===
Source: kf6-kservice
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libkf6config-dev (>= 6.23.0~),
               libkf6coreaddons-dev (>= 6.23.0~),
               libkf6doctools-dev (>= 6.23.0~),
               libkf6i18n-dev (>= 6.23.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kservice
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git

Package: libkf6service-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca6.

Package: libkf6service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf6service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-dev (>= 6.23.0~),
         libkf6coreaddons-dev (>= 6.23.0~),
         libkf6doctools-dev (>= 6.23.0~),
         libkf6i18n-dev (>= 6.23.0~),
         libkf6service6 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf6service-doc (= ${source:Version}),
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf6service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6service6
Architecture: any
Multi-Arch: same
Depends: libkf6service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6service-bin (= ${binary:Version}),
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	dh_auto_test -Skf6 --no-parallel

## kf6-kservice 6.23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.23.1") # handled by release scripts
 set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kservice (6.23.1-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release (6.23.1)
  * Drop included patches.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Mar 2026 17:38:18 +0000

kf6-kservice (6.23.0-0ubuntu2) resolute; urgency=medium

  * Backport upstream crash fix as suggested by upstream.
    https://invent.kde.org/frameworks/kservice/-/merge_requests/226

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Mar 2026 13:11:00 +0000

kf6-kservice (6.23.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.23.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Feb 2026 11:40:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: kf6-kservice
 Section: libs
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Priority: optional
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.27~),
                doxygen,
                extra-cmake-modules (>= 6.23.0~),
                libkf6config-dev (>= 6.23.0~),
                libkf6coreaddons-dev (>= 6.23.0~),
                libkf6doctools-dev (>= 6.23.0~),
                libkf6i18n-dev (>= 6.23.0~),
-               qt6-base-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.3
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kservice
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kservice
+Rules-Requires-Root: no
 
 Package: libkf6service-bin
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -33,7 +35,7 @@
 Package: libkf6service-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
